Bug 132814 (IT37323) - glibc in AS 2.1 needs to have syslog.c updated to cvs version 1.42
Summary: glibc in AS 2.1 needs to have syslog.c updated to cvs version 1.42
Status: CLOSED ERRATA
Alias: IT37323
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-17 12:50 UTC by Neil Horman
Modified: 2016-11-24 15:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 16:46:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:587 normal SHIPPED_LIVE Updated glibc packages 2004-12-13 05:00:00 UTC

Description Neil Horman 2004-09-17 12:50:07 UTC
Description of problem:
If a root owned process calls syslog while the syslogd daemon is
stopped, it will set the LogType global variable permanently to
SOCK_STREAM, relegating any further syslog messages from that
application to the console, rather than the syslog

Version-Release number of selected component (if applicable):
all pre-RHEL4-Beta 1 versions

How reproducible:
always

Steps to Reproduce:
1.log in as/su to root 
2.start an application that periodically writes to the syslog
3.stop the syslog daemon
4.wait a sufficient period of time for the app in (2) to attempt to
write a syslog message
5.start the syslog daemon

Actual results:
Messages from the application are not logged in /var/log/messages
until the app is restarted

Expected results:
Messages from the appication should start to appaear in
/var/log/messages when syslogd is restarted.

Additional info:
This is fixed in the sources.redhat.com glibc cvs tree in version 1.42
of misc/syslog.c

Comment 1 Jakub Jelinek 2004-10-06 20:56:24 UTC
The patch is in glibc-2.2.4-32.18 which ought to appear in AS2.1 U6 beta.

Comment 2 Marty Wesley 2004-11-30 16:46:40 UTC
This looks to be fixed in U6.

Comment 3 John Flanagan 2004-12-13 20:43:35 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-587.html



Note You need to log in before you can comment on or make changes to this bug.